
cube_x = 29;
cube_y = 24;
cube_z = 18.5;
tcube_x = 0;
tcube_y = 0;
tcube_z = cube_z / 2 + 2;

top_plain_x = 37;
top_plain_y = 33;
top_plain_z = 2;
ttop_plain_x = 0;
ttop_plain_y = -2.5;
ttop_plain_z = top_plain_z / 2;

front_plain_x = 37;
front_plain_y = 2;
front_plain_z = 18.5;
tfront_plain_x = 0;
tfront_plain_y = cube_y / 2 + 1;
tfront_plain_z = front_plain_z / 2 + 2;

hole_radius = 9.5;


difference() {
	union() {
		translate([tcube_x,tcube_y,tcube_z]) cube(size = [cube_x,cube_y,cube_z], center = true);
		translate([ttop_plain_x,ttop_plain_y,ttop_plain_z]) cube(size = [top_plain_x,top_plain_y,top_plain_z], center = true);
		translate([tfront_plain_x,tfront_plain_y,tfront_plain_z]) cube(size = [front_plain_x,front_plain_y,front_plain_z], center = true);
	}

	union() {
		translate([0,0,10]) cylinder(h = 50, r=hole_radius, $fs=1, center = true);
	}
}